package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag998;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT998Creator;


public class Tag20Creator extends AbsTagCreate {
    private MT998Creator mt998Creator;
    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt998Creator = (MT998Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt998Creator.getTransactionReferenceNumber();
        mt998Creator.set("20",tag20Value);
    }
}
